edu.sc.seis.sod.status

## Class NetworkFormatter

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.NetworkFormatter

- All Implemented Interfaces:
    NetworkTemplate

      public class NetworkFormatter
      extends Template
      implements NetworkTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkFormatter(org.w3c.dom.Element el)`
    `NetworkFormatter(org.w3c.dom.Element el, NetworkGroupTemplate ngt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.NetworkAttr network)` Method getResult
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkFormatter

          public NetworkFormatter(org.w3c.dom.Element el)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### NetworkFormatter

          public NetworkFormatter(org.w3c.dom.Element el,
                                  NetworkGroupTemplate ngt)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.NetworkAttr network)

      Method getResult
      Specified by:
        `getResult` in interface `NetworkTemplate`
      Parameters:
        `network` - a NetworkAccess
      Returns:
        a String

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)

      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it returns null.
      Overrides:
        `getTemplate` in class `Template`